#pragma once

#include "includes.h"

#define haed_unit_is_marked(obj) (obj->params & 1)

#define HAED_UNIT_IS_UNMARKED 0
#define HAED_UNIT_IS_MARKED 1

/*
typedef struct _EksParent
{
	int coord[DIMENSION];
	uint8_t params; //1bit=isMarked
	EksParent *object;
	
	struct _EksParent *nextUnit;
	struct _EksParent *prevUnit;
}EksParent;
*/

EksParent *haed_unitlist_get_unit_from_position(EksParent *firstUnit, int pos);

void haed_unitlist_add(EksParent *firstUnit, EksParent *object, int x,int y);

void haed_unitlist_remove(EksParent *firstUnit, EksParent *remobj);

void haed_unitlist_remove_from_marked(EksParent *firstUnit);

size_t haed_unitlist_count(EksParent *firstUnit);

size_t haed_unitlist_object_count(EksParent *firstUnit,EksParent *object);

EksParent *haed_unitlist_get_positions(EksParent *level);

char *haed_unit_get_obj_name(EksParent *unit);

intptr_t haed_unit_get_coord_x(EksParent *unit);
intptr_t haed_unit_get_coord_y(EksParent *unit);
