#pragma once
#include "includes.h"

//add functions such as load, save, new game, game in tab? 

typedef enum HaedProgramInfoCustom{
	HAED_PROGRAM_CURRENT_LEVEL
}HaedProgramInfoCustom;

typedef struct _HaedProgramInfo
{
	EksParent *program;
	
	//----@deprecated
	//for the levels
	//----@/deprecated
	
	struct _HaedProgramInfo *nextProgram;
	struct _HaedProgramInfo *prevProgram;
}HaedProgramInfo;

EksParent *haed_programinfo_init(const char *programname);

EksParent *haed_programinfo_add_level(EksParent *thisProgram,const char *levelname);

void haed_programinfo_set_current_level(EksParent *programParent,EksParent *id);

EksParent *haed_programinfo_get_current_level(EksParent *programParent);

size_t haed_programinfo_count_levels(EksParent *thisProgram);

void haed_programinfo_select_level_from_pos(HaedProgramInfo *thisProgram,size_t pos);

EksParent *haed_programinfo_get_current_level(EksParent *programParent);
